#!/usr/bin/env python
# coding: UTF-8
class tragtorLang:
	
	language = "en"

### ERRORS
	error_infile_not_accessible = """### ERROR: The file '%s' is not readable.
	
	Please make shure you've chosen a regular file and have the proper rights to access the file.
	Sometimes this error may occur due to a zero-byte file.
"""
	error_infile_not_readable = """### ERROR: The file '%s' is not processable. You can't proceed with an unreadable file.
	
	Are you shure you have all suitable codecs installed?
	Depending on the way you compiled ffmpeg it may also be a problem with missing compiler-options.
	
	Most versions of UBUNTU for example are missing mp3-support in ffmpeg.
	To deal with it you have to a) compile the source of ffmpeg yourself
	or b) for UBUNTU - install the packages from the medibuntu-repositiories
	trough the 'force version'-function in synaptics. More information is available:
	
	http://ffmpeg.mplayerhq.hu/
	http://www.thedesignexperience.org/weblog/one-entry?entry_id=113488
	http://wiki.ubuntuusers.de/FFmpeg (german)
	
	and shurely http://www.google.com/search?q=ffmpeg
	
	Your actual configuration of ffmpeg below:
	
%s

# Readable fileformats:
	%s

# Writeable fileformats:
	%s

# Readable audio-codecs:
	%s
	
# Writeable audio-codecs:
	%s

# Readable video-codecs:
	%s

# Writeable video-codecs:
	%s
"""
	error_message_title = "Error!"
	error_message_file_not_readable = "The sourcefile you've specified is not readable!"
	error_message_file_not_inmedia = "The sourcefile you've specified is no importable Mediafile!"
	error_message_file_not_writeable = "The targetfile you've specified is not writeable!"
	error_message_file_not_outmedia = "The targetfile you've specified is no exportable Mediafile!"
	
	error_message_noaudio = "No audiostreams present"
	error_message_novideo = "No videostreams present"
	
	error_button_not_readable = "The Source is not readable"
	error_button_not_inmedia = "The Source is no processable media"
	error_button_not_writeable = "The Target is not writeable"
	error_button_not_outmedia = "The Target is no processable media"
	error_button_inasout = "Target and source are the same file"
	error_button_duration = "Your timesettings are buggy"
	error_button_size = "You want to create a 0-size video"
	error_button_bitrate = "The value of a bitrate is invalid"
	error_button_framerate = "The value of the framerate is invalid"
	error_button_samplerate = "The value of the samplerate is invalid"
	error_button_channels = "The value of the audiochannels is invalid"
	error_button_no_audio = "You want to create an audiofile without audio"
	error_button_no_content = "You want to create a file without any content"
	error_button_no_audio_bitrate = "You want to create a 0 kb/s audiofile"
	error_button_no_video_bitrate = "You want to create a 0 kb/s videofile"
	
	error_cant_proceed = "You can't go on with these settings."
		
### BUTTONS

	proceed_button_active = "Show me the light!"
	proceed_button_overwrite = "Here we go... but\nfile will be overwritten"
	proceed_button_inactive = "Proceeding impossible:\n%s"
	
### INFILE TEXTAREA

	infile_textarea_pre = """### Information about Source-File:
"""
	infile_textarea_post = ""
	infile_format_info = """
	File: %s
	Size: %sBytes
	Container: %s
	Bitrate: %s k/bs
	Duration: %s
"""
	infile_stream_main_info = """
	Stream-ID: %s
	Format: %s
	Codec: %s
"""	
	infile_stream_audio_info = """	Samplerate: %s hz
	Channels: %s
	Audio-Bitrate: %s kb/s
"""
	infile_stream_video_info = """	Method: %s
	Size: %s
	FPS: %s fps
"""

### META COMMENT
	
	meta_comment_text = """Encoder ffmpeg & traGtor"""
	
	

### TEXTLABELS

	# page-labels
	infile_label = """At first please select \
a file to convert. If it is a processable \
mediafile, some infos will appear in the field"""
	outfile_label = """Last step is to specify \
a file as target:"""
	suffix_label = """suffix"""
	meta_label = """Edit the metadata of the final media. \
These information will be stored inside the media and does not affect \
any file-related values like the filename. (Some formats may not support this!)"""
	proceed_label = """Proceed with your settings. \
FFmpeg's output will show up in the right area after it has finished."""
	format_video_label = "Videosettings"
	format_audio_label = "Audiosettings"
	format_render_label = "Rendersettings"
	format_results_label = "Results"
	settings_label = """Here you can make some \
basic settings for this GUI."""
	
### NOTEBOOKS

	infile_notebook = "Sourcefile"
	outfile_notebook = "Targetfile"
	format_notebook = "Format"
	meta_notebook = "Meta"
	proceed_notebook = "Proceed"
	settings_notebook = "Settings"

### TITLES

	infile_title = "Choose source"
	outfile_title = "Choose target"
	format_title = "Set format"
	meta_title = "Change meta"
	proceed_title = "Proceed"
	settings_title = "Settings"

### INPUT_VALUES

	meta_title_label = "Title"
	meta_author_label = "Author"
	meta_copyleft_label = "Copyright"
	meta_comment_label = "Comment"
	meta_toggle_label = "Use meta"
	
	format_width_label = "Width"
	format_height_label = "Height"
	format_ratio_label = "Ratio"
	format_fixedratio_label = "Fixed Ratio"
	format_framerate_label = "Framerate / s"
	format_deinterlace_label = "Deinterlace"
	
	format_audiosamplerate_label = "Samplerate"
	format_audiobitrate_label = "Bitrate (kb/s)"
	format_forcecodec_label = "Force codec\n(else: filename)"
	format_audiochannels_label = "Audiochannels"
	format_disableaudio_label = "Disable\nAudio"
	format_disablevideo_label = "Disable\nVideo"
	format_2pass_label = "2-pass"
	format_codec_label = "Force codec\n(else: filename)"
	format_bitrate_label = "Bitrate (kb/s)"
	format_offset_label = "Start Offset / s"
	format_duration_label = "Duration / s"
	format_scaling_label = "Scaling"
	format_padcolor_label = "Padding Color"

### FORMAT-INFO
	
	format_target_info_av = """A videofile including sound and video \
will be %s long and will take about %sBytes of space."""
	format_target_info_video = """Pure videocontent without any audiostream \
and the length of %s will take about %sBytes."""
	format_target_info_audio = """A pure audiofile of %s will take %s with \
these settings."""
	format_target_info = """%s
The resulting size may differ."""
	format_target_info_nothing = """You have to activate at least one of \
the streams (audio or video)."""
	format_target_nofile = "You haven't chosen any valid file."
	
### SETTINGS
	
	settings_language_label ="Choose your language"
	settings_reset_label = "Reset all values to default and start all over"
	settings_reload_label = "Reload the sourcefile and set all fields to file-depending values"
	settings_reset_button = "Reset"
	settings_reload_button = "Reload"
	
### LISTS

	format_scalingmethods_list = [ "Pad", "Crop", "Distort" ]
	
	output_file_suffix_auto = "as filename"

### SYSTEM
	
	datestring = "%Y-%m-%d %I:%M:%S %p"
	hour = "hour"
	hours = "hours"
	minute = "minute"
	minutes = "minutes"
	second = "second"
	seconds = "seconds"
	frames = "frames"
	_and = "and"
	
	changed = "changed!"
	
	title_infile_mediafiles = "Readable mediafiles"
	title_infile_allfiles = "All fileformats"
	title_outfile_mediafiles = "Writeable mediafiles"
	title_outfile_allfiles = "All fileformats"

### CONFIRMATION-WINDOW

	title_confirmation_window = "Confirmation"
	label_confirmation = """Please check your settings \
on the right. You're able to make some changes on the \
commandline for ffmpeg."""
	label_confirm_commandline = "Commandline"
	label_confirm_infile = "Source: %s"
	label_confirm_outfile = "Target: %s"
	label_confirm_insize = "Size: %sBytes"
	label_confirm_outsize = "Size: ~ %sBytes"
	label_confirm_pad_h = "Pad: adding %i pixel to width"
	label_confirm_pad_v = "Pad: adding %i pixel to height"
	label_confirm_crop_h = "Crop: ripping %i pixel from width"
	label_confirm_crop_v = "Crop: ripping %i pixel from height"
	label_confirm_distort_h = "Scaling: stretching width to %i\%"
	label_confirm_distort_v = "Scaling: stretching height to %i\%"
	label_confirm_format = "Format: %s"
	label_confirm_audio = "Audio: %s"
	label_confirm_audiodisabled = "deactivated"
	label_confirm_video = "Video: %s"
	label_confirm_duration = "Duration: %s"
	label_confirm_offset = "Start: %s"

### PROCESS

	title_progress_window = "In progress..."
	title_progress_window_pass = "(pass %i)"
	label_progress = "The file is in progress..."
	text_progress = "Status of file\n%s"

### CREDITS

	credits = """%s - a GUI for the great conversion-tool ffmpeg
to use under Gnome-desktop environment (PyGTK)

Version is %s

Programmed and designed by %s
Icons: photogen:c SVG-Iconset
best viewed in oRainge GTK ;)

Released under GPL"""
